Subject: Re: [Simple] comments on rpids-01 - <placetype>

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 27 Jun 2003 16:58:50 -0400

> I'm not arguing for source or confidence information to be included. 
> What I doubt is the value for the watcher with respect to the provided
> information if the watcher has indeed no means to determine the underlying semantic
> of what was provided. In particular, let's assume that the presentity
> would even want to reveal this semantic information in order to implement a certain
> service (such as making highly private calls, in which your definition of work
> as to "between 110-120th and Broadway-Amsterdam" would not really help, but 
> "within reach of indoor system" probably would). Note that there's is no privacy 
> issue here, since the presentity would agree to reveal (to the watcher, i.e.,
> the semantic description, of course, needs proper access control) but can't. 

This is not necessarily for privacy. <placetype> provides a hint as to 
the type of communications that is appropriate, i.e., am I in a business 
or home setting. The privacy indicator is a separate element. It would 
need to be set on a finer spatial granularity to be useful, e.g., by an 
indoor beacon on a room basis. Once RPIDS gets popular, all the movie 
theaters and churches can install $50 BT beacons that automatically 
indicate to their patrons where they are, which then gets reflected into 
presence information.

> 
> My problem is that we introduce ambiguous semantics without giving the two
> partners of communication (i.e., presentity and watcher) the possibility to
> resolve the ambiguity. I agree that in this process the presentity should be
> under control, i.e., if not desired, the semantic meaning could be suppressed 
> or even blurred. 

I'm not sure what the ambiguity is.

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 27 Jun 2003 16:58:50 -0400

---

From: [email-masked]
Date: Fri, 27 Jun 2003 16:47:49 -0400

>> Let's assume that your phone would infer from its current position
>> that you're within 110-120th and Broadway-Amsterdam in New 
>York, i.e.,
>> the <placetype> element of your (device's) presence would be <work>?!
>
>Yes.
>
>> 
>> Further assume, that at another point in time, your phone 
>determines the <placetype>
>> elements through said indoor beacon system, updating your 
>presence (more correctly the
>> <placetype> element) appropriately. 
>> 
>> Let's further assume that I (or an application running on my 
>device) subscribes
>> to your presence and retrieves, among other entries, the 
><placetype> element with its current value
>> <work>, assuming that its retrieval is permitted by you.
>> 
>> My question is whether I'm aware of the underlying semantic, 
>i.e., "between
>> 110-120th and Broadway-Amsterdam" or "within in-door beacon 
>range" when I receive
>> your current presence with the <placetype> element?
>
>No, unless I include the geoloc information, you wouldn't know how I 
>found out.
>
>In general, the PIDF and RPIDS information for all elements does not 
>reveal how the information was derived, whether by beacons, location 
>lookup, calendar, first- or third-party (secretary) manual entry, or 
>some other mechanism. I suppose one could make an argument that each 
>element, not just <placetype>, should contain a confidence 
>indication or 
>a source indication, but I suspect that this isn't all that useful in 
>practice. Some people update their calendar so that the meeting ending 
>time is listed as 3.17 pm, others won't enter their three-week 
>vacation.

>
>Also, we've always allowed that presentities can 'fib' about their 
>presence information, so a watcher probably would appreciate 
>independent 
>verification of the information more than yet more easily   creatable 
>meta-data.

I'm not talking about evaluating the actual provided value but about the semantic
of the provided value (even if it is a fake one).

Dirk